Log in or register to post comments

Build a asset bundle of a scene which uses Vufroia

August 12, 2019 - 12:46am #1

Hi everyone,

When I try to build scene containing AR Camera and Image targets into a asset bundle using BuildPipeline.BuildPlayer(), I come acorss a series of problems as shown in the attachment. Does anyone know how can I fix this?

Or does anyone know a method to pack a scene including AR Camera and Image targets, upload it to a server and then make a unity project to download and activate that scene at runtime?

Thanks in advance for help!

AttachmentSize
Image icon Errors.png98.61 KB

Build a asset bundle of a scene which uses Vufroia

August 14, 2019 - 5:48am #8

Hi,

The checkbox is per platform, could you please confirm that the platform you are building for has it also checked? (IOS?)

Thank you.

Vuforia Engine Support

Build a asset bundle of a scene which uses Vufroia

August 14, 2019 - 12:00am #7

Hi medabit,

 

Yes, it is checked. There is no problem running it in the Unity editor or export it to .apk file. The problem is that is cannot be built into a assetbundle and load it in another scene from file during runtime.



I am still confusing why this won't work. Maybe you can provide another way to work round this?

 

Build a asset bundle of a scene which uses Vufroia

August 13, 2019 - 8:15am #6

Hello,

May sound basic, but is Vuforia Augmented Reality Supported checked in the XR Settings? Unity Editor->File->Build Settings...->Player Settings...

Thanks,

Vuforia Engine Support

Build a asset bundle of a scene which uses Vufroia

August 13, 2019 - 4:52am #5

Hi,

I have checked that out. The SDK version and the sample version are of the same version(8.3.8).

AttachmentSize
Image icon SDKversion.png13.9 KB
Plain text icon Sampleversion.txt38 bytes

Build a asset bundle of a scene which uses Vufroia

August 13, 2019 - 1:18am #4

Hi

The errors you are encountering are usually related to a mismatch between the Vuforia SDK version and the Vuforia Core sample version. As the SDK evolves and APIs are created/changes, so do the samples to be compatible with them.

Here's how you can check the versions of both (assuming you used Vuforia Core samples resources):

SDK Version: Unity Editor -> Windows -> Vuforia Configuration

Samples version: Unity Editor-> Project window: Assests/Vuforia/version

I suggest you create a new project and download the most recent version of the samples.

Thank you.

Vuforia Engine Support

Build a asset bundle of a scene which uses Vufroia

August 12, 2019 - 3:15am #3

Hi, 

Thank you for your reply.

I am currently using Vuforia 8.3.8, Unity 2019.1.9f1 and the target platform is Android.

Build a asset bundle of a scene which uses Vufroia

August 12, 2019 - 2:13am #2

Hi

Could you please confirm the following?

Vuforia SDK version:?

Unity version:?

Target platform:?

Thank you.

Vuforia Engine Support

Log in or register to post comments